#include "StoreCollectionsCustomizationsSubPresenter.h"
#include "EMoriPreviewVariant.h"
#include "ESortingOption.h"
#include "ESortingOrder.h"
#include "StoreCharactersFiltersData.h"
#include "ECurrencyType.h"
#include "AnimationPreviewRequest.h"

class UAnimationPreviewSubsystem;

void UStoreCollectionsCustomizationsSubPresenter::UpdateDisplayingCustomizations(bool scrollToSelectedItem)
{

}

void UStoreCollectionsCustomizationsSubPresenter::PlayMoriAnimation(const EMoriPreviewVariant moriPreviewVariant)
{

}

void UStoreCollectionsCustomizationsSubPresenter::OnSortingChanged(const ESortingOption sortingOption, const ESortingOrder sortingOrder)
{

}

void UStoreCollectionsCustomizationsSubPresenter::OnSearchBarTextChanged(const FString& enteredText)
{

}

void UStoreCollectionsCustomizationsSubPresenter::OnPlaySecondMoriClicked()
{

}

void UStoreCollectionsCustomizationsSubPresenter::OnPlayMoriClicked()
{

}

void UStoreCollectionsCustomizationsSubPresenter::OnFiltersChanged(const FStoreCharactersFiltersData& storeFiltersData)
{

}

void UStoreCollectionsCustomizationsSubPresenter::OnCustomizationUnlockClicked(ECurrencyType currencyType)
{

}

void UStoreCollectionsCustomizationsSubPresenter::OnCustomizationSelected(const FName customizationId)
{

}

void UStoreCollectionsCustomizationsSubPresenter::OnCustomizationEquipClicked()
{

}

void UStoreCollectionsCustomizationsSubPresenter::OnClearFiltersClicked()
{

}

void UStoreCollectionsCustomizationsSubPresenter::OnAvailabilityBannerClicked()
{

}

void UStoreCollectionsCustomizationsSubPresenter::OnAnimationPreviewComplete(UAnimationPreviewSubsystem* animationPreviewSubsystem, const FAnimationPreviewRequest& request, bool completedSuccessfully)
{

}

UStoreCollectionsCustomizationsSubPresenter::UStoreCollectionsCustomizationsSubPresenter()
{
	this->_customizationsSortingOption = ESortingOption::None;
	this->_customizationsSortingOrder = ESortingOrder::Descending;
}
